
<?php 
global $theme;

if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

//require_once('data/SugarBean.php'); 
//require_once('include/utils.php');
require_once('log4php/LoggerManager.php');
//require_once('modules/Accounts/Account.php');
//require_once('modules/M02_Ordenes/M02_Ordenes.php');
//require_once('modules/M01_Vehiculos/M01_Vehiculos.php');

require_once("ReportesExcel/classes/PHPExcel.php");
require_once("ReportesExcel/classes/PHPExcel/Reader/Excel5.php");
require_once("ReportesExcel/classes/PHPExcel/Reader/Excel2007.php");

$hostname_strConexion="localhost";
$database_strConexion="crmdys";
$username_strConexion="root";
$password_strConexion="";
$strConexion=mysql_pconnect($hostname_strConexion,$username_strConexion,$password_strConexion) or
trigger_error(mysql_error(),E_USER_ERROR);
mysql_select_db($database_strConexion, $strConexion);
	
?>


<link rel="stylesheet" type="text/css" href="Reportes/jscalendar-1.0/calendar-win2k-1.css" />
<script type="text/javascript" src="Reportes/jscalendar-1.0/calendar.js"></script>
<script type="text/javascript" src="Reportes/jscalendar-1.0/lang/calendar-es.js"></script>
<script type="text/javascript" src="Reportes/jscalendar-1.0/calendar-setup.js"></script>


<script type="text/javascript" src=""></script>
<FORM METHOD=POST ENCTYPE="multipart/form-data" >
Archivo a Conciliar (Ventas): <INPUT TYPE=FILE NAME="upfile"><BR>
<INPUT TYPE=SUBMIT VALUE="Enviar" name="btnEnviar">
</FORM>


<?php

$accion = $_POST['btnEnviar'];
if ($accion ==  "Enviar")
{
	  
	$binario_nombre_temporal=$_FILES['upfile']['tmp_name'] ;
	$nombre_archivo=$_FILES['upfile']['name'];
	$pos       =strpos($nombre_archivo , ".");
	$extension = substr($nombre_archivo ,$pos+1,strlen($nombre_archivo));			
	if (empty($_FILES['upfile']['name']))
	{
		?>
		<script language="JavaScript">
					alert("Debe Seleccionar un archivo Excel a Conciliar");
		</script>
		 <?php
		exit;
	}
    else
    {
    	if ($extension != "xls")
    	{
    		?>
			<script language="JavaScript">
						alert("El Archivo a Conciliar debe ser Excel en version 2003 (.xls)");
			</script>
			 <?php
			exit;
    	}
    	else
    	{
    	
			error_reporting(E_ALL);
			date_default_timezone_set('Europe/London');
			setlocale(LC_TIME, 'es_VE');
			
			// Cargando la hoja de cálculo excel
			//creamos objeto para leer del excel
			$objReader = new PHPExcel_Reader_Excel5();
			$objReader->setReadDataOnly(true);
			//cargamos el archivo excel(extensión *.xlsx)				
			$objPHPExcel = $objReader->load($binario_nombre_temporal);			
			// Asignamos el excel activo
			$objPHPExcel->setActiveSheetIndex(0);
			
			//Variable para recorrer las filas del archivo excel
			$i=2; //Debido a que el archivo excel viene con cabecera
				
			$exitoso = true; //Variable para verificar si fue exitosa la conciliacion
			$VentasCreadas = 0;
			$ClientesActualizados = 0;
	
			//Se obtienen los valores que vienen del archivo excel
			while($objPHPExcel->getActiveSheet()->getCell("B".$i)->getValue() != '')
			{  
			
				$cliente               = $objPHPExcel->getActiveSheet()->getCell("B".$i)->getValue();
				$fechaVenta            = $objPHPExcel->getActiveSheet()->getCell("C".$i)->getValue();
				$estatusVenta          = $objPHPExcel->getActiveSheet()->getCell("D".$i)->getValue();
				$productoVenta         = $objPHPExcel->getActiveSheet()->getCell("E".$i)->getValue();
				$montoProducto         = $objPHPExcel->getActiveSheet()->getCell("F".$i)->getValue();
				$comision              = $objPHPExcel->getActiveSheet()->getCell("G".$i)->getValue();
				$venCertificado        = $objPHPExcel->getActiveSheet()->getCell("H".$i)->getValue();
				$departamento          = $objPHPExcel->getActiveSheet()->getCell("I".$i)->getValue();
				
				/*
				if ($aniversarioEmpresa <> "") {
					$aniversarioEmpresa = date_create($aniversarioEmpresa);
					$aniversarioEmpresa = date_format($aniversarioEmpresa, 'Y-m-d');
				}*/
				
				
				$words = array("HAB", "MOV", "OFI", " ", ")", "(", "{", "*", "-", "'","}",";",".","+","_");
				$words2 = array(")", "(", "{", "*", "-", "'","}",";",".","+","_");
				
				$Cedula_Rif = str_replace($words, "", $cliente);

				
							$Cliente  = new Account();	
						  $Cliente->retrieve_by_string_fields(array('name' => trim($Cedula_Rif) ));
						  
						  $Producto  = new P01_Productos();	
						  $Producto->retrieve_by_string_fields(array('name' => trim($productoVenta) ));
							////////////////////////////////////////////
							
							
							//echo ("Producto: ".$productoVenta." -- ".$Producto->id );
							/// SI EL CLIENTE NO EXISTE
							if (!empty($Cliente->id))
							{

								 $Ventas = new P02_Ventas();
								 $Ventas->estatus                = $estatusVenta;
								 $Ventas->fecha_venta            = $fechaVenta;
								 $Ventas->monto                  = $montoProducto;
								 $Ventas->comision_venta_c       = $comision;
								 $Ventas->venc_certificado       = $venCertificado;
								 $Ventas->departamento_c         = $departamento;
								 
								 if (!empty($Producto->id)){
										 		//echo "entre...";
										 		$idProd = "";
										 		$idProd = $Producto->id; 
								 		}	
						     $Ventas->p01_productos_id_c = $idProd;
								 $Ventas->save();
								 
								 $idVenta  = $Ventas->id;
								 $idCliente = $Cliente->id;
							
									/* if (!empty($Producto->id)){
										 		//echo "entre...";
										 		$idProd = "";
										 		$idProd = $Producto->id; 
										 		
										 		$update=" UPDATE p02_ventas_cstm SET p01_productos_id_c = '$idProd'  WHERE id = '$idVenta'";
											  $vericarUpdate=mysql_query($update, $strConexion) or die(mysql_error());
								 		}*/
								 	
									$NewIDRelCV = create_guid();	
									$query1="INSERT INTO  accounts_p02_ventas_1_c (id,date_modified,deleted,accounts_p02_ventas_1accounts_ida,accounts_p02_ventas_1p02_ventas_idb)
	       	 		                         VALUES('".$NewIDRelCV."',NOW(),'0','".$idCliente."','".$idVenta."')";
	                                    $result1 = mysql_query($query1,$strConexion)or die(mysql_error()."Insertar accounts_p02_ventas_1_c 01");
								  $VentasCreadas = $VentasCreadas + 1;
								 
								 
								 $GLOBALS['log']->info("save: 580 ".$Ventas->id);
						
							}// FIN SI LA ORDEN NO EXISTE
							

				$i++;
			}
		}
	}
	
	if ($exitoso){
		//echo '<script>alert (" Total Ordenes creadas: '.$OrdenesCreadas.' Total Clientes Creados: '.$ClientesCreados.' Total Vehiculos Creados: '.$VehiculoCreados.' ");</script>';
		echo " Total Ventas Creadas      : $VentasCreadas "."<br/>";
		
		?>
		<script language="JavaScript">
			//alert("Se ha conciliado Exitosamente.");
		</script>
		 <?php		
	}
	else{
		?>
		<script language="JavaScript">
			alert("No se ha podido conciliar. Verifique los datos del archivo Excel.");
		</script>
		 <?php		
	}	
	
}
?>
